import { IngredientNames } from '@/interfaces/Ingredients';
import './BuildControl.css';

interface Props {
    type: IngredientNames
    lessHandler: VoidFunction
    moreHandler: VoidFunction
}

const BuildControl = ({type, moreHandler, lessHandler}: Props) => {
    return (
        <div className="BuildControl">
            <div className="Label">{type}</div>
            <button className="Less" onClick={lessHandler}>Less</button>
            <button className="More" onClick={moreHandler}>More</button>
        </div>
    );
}

export default BuildControl;
